List all SKUs
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/skus \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/skus"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/catalog/skus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"skus": [
{
"id": "<string>",
"product_id": "<string>",
"product_name": "<string>",
"product_type": "physical",
"status": "draft",
"tags": [
"<string>"
],
"reviews_rating_sum": 123,
"reviews_count": 123,
"hsn_code": "<string>",
"variant_id": "<string>",
"variant_name": "<string>",
"slug": "<string>",
"sku": "<string>",
"associated_options": [
{
"attribute_id": "<string>",
"attribute_value": "<string>",
"attribute_name": "<string>",
"attribute_type": "single-select",
"key": "<string>"
}
],
"active": true,
"stock_available": true,
"images": [
{
"title": "<string>",
"alternate_text": "<string>",
"sort_order": 123,
"url_tiny": "<string>",
"url_thumbnail": "<string>",
"url_standard": "<string>",
"url_zoom": "<string>",
"file_id": "<string>",
"file_type": "image"
}
],
"pricing": [
{
"customer_group_id": "<string>",
"cost_price": 123,
"listing_price": 123,
"selling_price": 123,
"tax_rate": 123,
"min_order_quantity": 1,
"max_order_quantity": 123,
"incremental_quantity": 1,
"tax_type": "GST"
}
]
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}Catalog
List all SKUs
List all SKUs
GET
/
catalog
/
skus
List all SKUs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
page number of pagination list
Required range:
x >= 1no of rows per page
Required range:
x >= 1JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
search keyword
JSON object
Example:
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
Was this page helpful?
⌘I